=== modified file 'bzrlib/testament.py'
--- bzrlib/testament.py	2006-07-21 01:37:47 +0000
+++ bzrlib/testament.py	2006-08-16 16:55:54 +0000
@@ -70,12 +70,11 @@
 # revisions can be serialized.
 
 from copy import copy
-from cStringIO import StringIO
-import string
 from sha import sha
 
 from bzrlib.osutils import contains_whitespace, contains_linebreaks
 
+
 class Testament(object):
     """Reduced summary of a revision.
 
@@ -145,23 +144,28 @@
 
     def _escape_path(self, path):
         assert not contains_linebreaks(path)
-        return unicode(path.replace('\\', '/').replace(' ', '\ ')).encode('utf-8')
+        return unicode(path.replace('\\', '/').replace(' ', '\ '))
 
     def _entry_to_line(self, path, ie):
         """Turn an inventory entry into a testament line"""
-        l = '  ' + str(ie.kind)
-        l += ' ' + self._escape_path(path)
         assert not contains_whitespace(ie.file_id)
-        l += ' ' + unicode(ie.file_id).encode('utf-8')
+
+        content = ''
+        content_spacer=''
         if ie.kind == 'file':
             # TODO: avoid switching on kind
             assert ie.text_sha1
-            l += ' ' + ie.text_sha1
+            content = ie.text_sha1
+            content_spacer = ' '
         elif ie.kind == 'symlink':
             assert ie.symlink_target
-            l += ' ' + self._escape_path(ie.symlink_target)
-        l += '\n'
-        return l.decode('utf-8')
+            content = self._escape_path(ie.symlink_target)
+            content_spacer = ' '
+
+        l = u'  %s %s %s%s%s\n' % (ie.kind, self._escape_path(path),
+                                   unicode(ie.file_id),
+                                   content_spacer, content)
+        return l
 
     def as_text(self):
         return ''.join(self.as_text_lines())
@@ -183,9 +187,7 @@
             assert not contains_whitespace(name)
             r.append('  %s:\n' % name)
             for line in value.splitlines():
-                if not isinstance(line, str):
-                    line = line.encode('utf-8')
-                r.append('    %s\n' % line)
+                r.append(u'    %s\n' % line)
         return r
 
     def as_sha1(self):
@@ -201,6 +203,6 @@
     short_header = 'bazaar-ng testament short form 2.1\n'
     def _entry_to_line(self, path, ie):
         l = Testament._entry_to_line(self, path, ie)[:-1]
-        l += ' ' + ie.revision.decode('utf-8')
+        l += ' ' + ie.revision
         l += {True: ' yes\n', False: ' no\n'}[ie.executable]
         return l

=== modified file 'bzrlib/tests/test_testament.py'
--- bzrlib/tests/test_testament.py	2006-08-16 16:27:58 +0000
+++ bzrlib/tests/test_testament.py	2006-08-16 16:55:54 +0000
@@ -135,7 +135,9 @@
             timestamp=1129025493,
             timezone=36000,
             rev_id='test@user-3',
-            committer='test@user')
+            committer='Erik B\xe5gfors <test@user>',
+            revprops={'uni':u'\xb5'}
+            )
         t = Testament.from_revision(self.b.repository, 'test@user-3')
         self.assertEqualDiff(
             SAMPLE_UNICODE_TESTAMENT.encode('utf-8'), t.as_text())
@@ -298,7 +300,7 @@
 SAMPLE_UNICODE_TESTAMENT = u"""\
 bazaar-ng testament version 1
 revision-id: test@user-3
-committer: test@user
+committer: Erik B\xe5gfors <test@user>
 timestamp: 1129025493
 timezone: 36000
 parents:
@@ -312,4 +314,6 @@
 properties:
   branch-nick:
     test branch
+  uni:
+    \xb5
 """

